question

lukasz.gajewski avatar image
1 1 1 0

DSWS Desktop API via Python access issue

When trying to access, the following error message pops up. Is it python or DSWS access issue?

Many Thanks in Advance,

Olaf


_get_token : Exception Occured

(<class 'requests.exceptions.ConnectionError'>, ConnectionError(MaxRetryError("HTTPSConnectionPool(host='product.datastream.com', port=443): Max retries exceeded with url: /DSWSClient/V1/DSService.svc/rest/GetToken (Caused by NewConnectionError('<urllib3.connection.VerifiedHTTPSConnection object at 0x0000020BB4E0EDD8>: Failed to establish a new connection: [Errno 11001] getaddrinfo failed'))")), <traceback object at 0x0000020BB4E0F408>)

None

Traceback (most recent call last):

File "C:\Program Files\WinPython\WinPython-64bit-3.7.2.0\python-3.7.2.amd64\lib\site-packages\urllib3\connection.py", line 159, in _new_conn

(self._dns_host, self.port), self.timeout, **extra_kw)

File "C:\Program Files\WinPython\WinPython-64bit-3.7.2.0\python-3.7.2.amd64\lib\site-packages\urllib3\util\connection.py", line 57, in create_connection

for res in socket.getaddrinfo(host, port, family, socket.SOCK_STREAM):

socket.gaierror: [Errno 11001] getaddrinfo failed


During handling of the above exception, another exception occurred:


Traceback (most recent call last):

File "C:\Program Files\WinPython\WinPython-64bit-3.7.2.0\python-3.7.2.amd64\lib\site-packages\urllib3\connectionpool.py", line 600, in urlopen

chunked=chunked)

File "C:\Program Files\WinPython\WinPython-64bit-3.7.2.0\python-3.7.2.amd64\lib\site-packages\urllib3\connectionpool.py", line 343, in _make_request

self._validate_conn(conn)

urllib3.exceptions.NewConnectionError: <urllib3.connection.VerifiedHTTPSConnection object at 0x0000020BB4E0EDD8>: Failed to establish a new connection: [Errno 11001] getaddrinfo failed


During handling of the above exception, another exception occurred:


Traceback (most recent call last):

File "C:\Program Files\WinPython\WinPython-64bit-3.7.2.0\python-3.7.2.amd64\lib\site-packages\requests\adapters.py", line 449, in send

timeout=timeout

File "C:\Program Files\WinPython\WinPython-64bit-3.7.2.0\python-3.7.2.amd64\lib\site-packages\urllib3\connectionpool.py", line 638, in urlopen

_stacktrace=sys.exc_info()[2])

urllib3.exceptions.MaxRetryError: HTTPSConnectionPool(host='product.datastream.com', port=443): Max retries exceeded with url: /DSWSClient/V1/DSService.svc/rest/GetToken (Caused by NewConnectionError('<urllib3.connection.VerifiedHTTPSConnection object at 0x0000020BB4E0EDD8>: Failed to establish a new connection: [Errno 11001] getaddrinfo failed'))


During handling of the above exception, another exception occurred:


Traceback (most recent call last):

File "C:\Users\CB2STF9\AppData\Roaming\Python\Python37\site-packages\DatastreamDSWS\DS_Response.py", line 294, in _get_token

json_Response = requests.post(token_url, json=json_tokenReq, verify=self.certfile).json()

File "C:\Program Files\WinPython\WinPython-64bit-3.7.2.0\python-3.7.2.amd64\lib\site-packages\requests\api.py", line 116, in post

return request('post', url, data=data, json=json, **kwargs)

requests.exceptions.ConnectionError: HTTPSConnectionPool(host='product.datastream.com', port=443): Max retries exceeded with url: /DSWSClient/V1/DSService.svc/rest/GetToken (Caused by NewConnectionError('<urllib3.connection.VerifiedHTTPSConnection object at 0x0000020BB4E0EDD8>: Failed to establish a new connection: [Errno 11001] getaddrinfo failed'))

datastream-apidsws-api
10 |1500

Up to 2 attachments (including images) can be used with a maximum of 512.0 KiB each and 1.0 MiB total.

1 Answer

Gurpreet avatar image
14.7k 39 12 18

Hi @lukasz.gajewski, It appears that the DSWS library is unable to connect to servers. This could happen if there is a proxy server on your network.

Can you use network tools to verify that your machine can resolve the host product.datastream.com, and that it can connect to it. You can try:

telnet product.datastream.com 443

If this command fails and you know that there is a proxy server on your network, then you will have to explicitly pass that proxy URL/port to the DSWS library.

10 |1500

Up to 2 attachments (including images) can be used with a maximum of 512.0 KiB each and 1.0 MiB total.